Loading...
Searching...
No Matches
RDKit::EnumerationStrategyException Class Reference

class for flagging enumeration strategy errors More...

`#include <EnumerationStrategyBase.h>`

Inheritance diagram for RDKit::EnumerationStrategyException:

## Public Member Functions

| EnumerationStrategyException (const char *msg)
| EnumerationStrategyException (std::string msg)
const char * | what () const noexcept override
| ~EnumerationStrategyException () noexcept override=default

## Detailed Description

class for flagging enumeration strategy errors

Definition at line 57 of file EnumerationStrategyBase.h.

## Constructor & Destructor Documentation

## EnumerationStrategyException() [1/2]

RDKit::EnumerationStrategyException::EnumerationStrategyException | ( | const char * | msg | ) |

inline

Definition at line 60 of file EnumerationStrategyBase.h.

## EnumerationStrategyException() [2/2]

RDKit::EnumerationStrategyException::EnumerationStrategyException | ( | std::string | msg | ) |

inline

Definition at line 61 of file EnumerationStrategyBase.h.

## ~EnumerationStrategyException()

RDKit::EnumerationStrategyException::~EnumerationStrategyException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::EnumerationStrategyException::what | ( |  | ) | const

inline override noexcept

Definition at line 62 of file EnumerationStrategyBase.h.

The documentation for this class was generated from the following file:

- EnumerationStrategyBase.h